FPUTS(3)

NAME
fputs, puts - output a line to a stream

SYNOPSIS
#include <stdio.h>
int
fputs(const char *str, FILE *stream);
int
puts(const char *str);

DESCRIPTION
The function fputs() writes the string pointed to by str to the stream pointed to by stream.

The function puts() writes the string str, and a terminating newline character, to the stream stdout.

RETURN VALUES
Upon successful completion a non-negative integer is returned. Otherwise, EOF is returned, the global variable errno is set to indicate the error, and the error indicator is set for the stream.

ERRORS

[EBADF]
    The stream supplied is not a writable stream.

The functions fputs() and puts() may also fail and set errno for any of the errors specified for the routines write(2).

SEE ALSO
ferror(3), putc(3), stdio(3)

STANDARDS
The functions fputs() and puts() conform to ansiC.

HISTORY
The function puts() first appeared in AT&T UNIX and fputs() in AT&T UNIX.